Skip to main content
`Ctrl`+`K`

# FNCreate

Creates an `FN` context.

## Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNCreate(MPI_Comm comm,FN *newfn)

Collective

## Input Parameter

- comm - MPI communicator

## Output Parameter

- newfn - location to put the `FN` context

## See Also

FN: Mathematical Functions, `FNDestroy()`, `FN`

## Level

beginner

## Location

src/sys/classes/fn/interface/fnbasic.c

## Examples

src/nep/tutorials/ex42.c
src/nep/tutorials/ex27.c
src/mfn/tutorials/ex39.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex22.c
src/nep/tutorials/ex22f.F90

Index of all FN routines Table of Contents for all manual pages Index of all manual pages